// You can import API functions like this from D3.js.
import { select } from 'd3';
import {circleData} from './data.js'

const svgHeight = 500 ;
const svgWidth = 960;
 


const svg = select('body').append('svg')
  svg.attr('width',svgWidth)
     .attr('height',svgHeight)

const rectHeight = 200; 
const rectWidth = 100;
 
const circle = svg.selectAll('circle') 
  .data(circleData)
  
  circle
    .enter().append('circle')  
      .transition()  
        .duration(4000) 
        
      .attr('cx', d => d)
 
      .attr('cy',d => d)

	  .attr('r',d => d)

      .attr('fill','rgb(5, 62, 252)')

      .attr('opacity', 0.3)
